%define upstream_name       Template-Toolkit
%define upstream_version 2.24
%define _provides_exceptions perl(CGI)\\|perl(My::

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    %{upstream_name} module for perl
License:    GPL
Group:      Development/Perl
Url:        http://www.template-toolkit.org
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AppConfig) >= 1.560.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec) >= 0.800.0
BuildRequires: perl(File::Temp) >= 0.120.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl-devel >= 0:5.600
Requires:   perl >= 0:5.600
%description
The Template Toolkit is a collection of modules which implement a
fast, flexible, powerful and extensible template processing system.
It was originally designed and remains primarily useful for generating
dynamic web content, but it can be used equally well for processing
any other kind of text based documents: HTML, XML, POD, PostScript,
LaTeX, and so on.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

# perl path hack
find ./ -type f | \
    xargs perl -pi -e 's|^#\!/usr/local/bin/perl|#\!/usr/bin/perl|'

%build
%{__perl} Makefile.PL \
    TT_XS_ENABLE="y" \
    TT_XS_DEFAULT="y" \
    INSTALLDIRS=vendor </dev/null
%make CFLAGS="%{optflags}"

%install
%makeinstall_std

%files
%doc Changes HACKING INSTALL META.json META.yml MYMETA.yml README TODO
%{perl_vendorarch}/Template*
%{perl_vendorarch}/auto/Template
%{_mandir}/*/*
%{_bindir}/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.240.0-3.mga3
+ Revision: 373184
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 2.240.0-2.mga3
+ Revision: 251189
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 2.240.0-1.mga2
+ Revision: 213189
- update to 2.24

* Wed Jan 25 2012 jquelin <jquelin> 2.230.0-1.mga2
+ Revision: 201020
- update to 2.23

* Sun Jun 12 2011 sander85 <sander85> 2.220.0-5.mga2
+ Revision: 104732
- Rebuild for perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 2.220.0-4.mga1
+ Revision: 34230
- mageia rebuild
- imported package perl-Template-Toolkit

